<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vr="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iEb 4.0 WMO405 (2024-04-22) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS125.xsl" />
	<xsl:include href="constraints/CS332.xsl" />
	<xsl:include href="constraints/CS334.xsl" />
	<xsl:include href="constraints/CS341.xsl" />
	<xsl:include href="rules/TR101.xsl" />
	<xsl:include href="rules/TR112.xsl" />
	<xsl:include href="rules/TR378.xsl" />
	<xsl:include href="rules/TR394.xsl" />
	<xsl:include href="rules/TR403.xsl" />
	<xsl:include href="rules/TR407.xsl" />
	<xsl:include href="rules/TR408.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS125"/>
		<xsl:apply-templates select="." mode="CS332"/>
		<xsl:apply-templates select="." mode="CS334"/>
		<xsl:apply-templates select="." mode="CS341"/>
		<xsl:apply-templates select="." mode="TR101"/>
		<xsl:apply-templates select="." mode="TR112"/>
		<xsl:apply-templates select="." mode="TR378"/>
		<xsl:apply-templates select="." mode="TR394"/>
		<xsl:apply-templates select="." mode="TR403"/>
		<xsl:apply-templates select="." mode="TR407"/>
		<xsl:apply-templates select="." mode="TR408"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<vr:XSLTHeader>
			<vr:Standaard>ieb</vr:Standaard>
			<vr:StandaardRelease>4.0</vr:StandaardRelease>
			<vr:XSLTVersie>2.12.1</vr:XSLTVersie>
		</vr:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
