<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vr="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iEb 4.0 WMO407 (2024-04-22) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS125.xsl" />
	<xsl:include href="constraints/CS342.xsl" />
	<xsl:include href="rules/TR101.xsl" />
	<xsl:include href="rules/TR378.xsl" />
	<xsl:include href="rules/TR391.xsl" />
	<xsl:include href="rules/TR392.xsl" />
	<xsl:include href="rules/TR396.xsl" />
	<xsl:include href="rules/TR401.xsl" />
	<xsl:include href="rules/TR402.xsl" />
	<xsl:include href="rules/TR406.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS125"/>
		<xsl:apply-templates select="." mode="CS342"/>
		<xsl:apply-templates select="." mode="TR101"/>
		<xsl:apply-templates select="." mode="TR378"/>
		<xsl:apply-templates select="." mode="TR391"/>
		<xsl:apply-templates select="." mode="TR392"/>
		<xsl:apply-templates select="." mode="TR396"/>
		<xsl:apply-templates select="." mode="TR401"/>
		<xsl:apply-templates select="." mode="TR402"/>
		<xsl:apply-templates select="." mode="TR406"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<vr:XSLTHeader>
			<vr:Standaard>ieb</vr:Standaard>
			<vr:StandaardRelease>4.0</vr:StandaardRelease>
			<vr:XSLTVersie>2.12.1</vr:XSLTVersie>
		</vr:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
