<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- iEb 4.0 version 2.12.1 (2024-04-22) -->

	<xsl:import href="../../../common/2_0/basis.xsl" />
		<xsl:template match="*" mode="getDetails" priority="100">
		<xsl:param name="pRule">FOUT</xsl:param>
		<xsl:choose>
			<xsl:when test="$pRule='CS002'">De waarde moet voldoen aan de 11-proef.</xsl:when>
			<xsl:when test="$pRule='CS015'">BerichtSubversie vullen met 0.</xsl:when>
			<xsl:when test="$pRule='CS025'">BerichtVersie vullen met 4.</xsl:when>
			<xsl:when test="$pRule='CS125'">Vullen met &apos;1&apos; (eerste aanlevering), &apos;2&apos; (wijzigen aanlevering) of &apos;3&apos; (verwijderen aanlevering).</xsl:when>
			<xsl:when test="$pRule='CS332'">Vullen met een datum die groter dan of gelijk is aan 2020-01-01.</xsl:when>
			<xsl:when test="$pRule='CS334'">KostprijsStartdatum vullen met een datum die groter dan of gelijk is aan EbStartdatum.</xsl:when>
			<xsl:when test="$pRule='CS341'">Indien gevuld, dan vullen met een datum groter of gelijk aan EbStartDatum</xsl:when>
			<xsl:when test="$pRule='CS342'">Indien gevuld, dan vullen met een datum groter of gelijk aan BwStartDatum</xsl:when>
			<xsl:when test="$pRule='TR056'">Identificatie moet per berichtsoort uniek zijn voor de verzendende partij.</xsl:when>
			<xsl:when test="$pRule='TR063'">Indien StatusAanlevering de waarde &apos;3&apos;(aanlevering verwijderen) bevat, dan moet voor de betreffende Client een eerdere aanlevering met dezelfde logische sleutel verzonden zijn.</xsl:when>
			<xsl:when test="$pRule='TR101'">Binnen een bericht zijn dubbele regels niet toegestaan.</xsl:when>
			<xsl:when test="$pRule='TR103'">Indien StatusAanlevering de waarde &apos;2&apos; (Gewijzigde aanlevering) bevat, dan moet voor de betreffende client een eerdere aanlevering met StatusAanlevering &apos;1&apos; (Eerste aanlevering) verstuurd zijn met dezelfde sleutel</xsl:when>
			<xsl:when test="$pRule='TR104'">Een verwijderd bericht kan niet gewijzigd worden.</xsl:when>
			<xsl:when test="$pRule='TR112'">Als StatusAanlevering de waarde &apos;1&apos; (eerste aanlevering) heeft, moet EbStartdatum groter dan of gelijk zijn aan de dagtekening van het bericht minus de wettelijke termijn voor oplegging eigen bijdrage.</xsl:when>
			<xsl:when test="$pRule='TR135'">Dagtekening vullen met een datum die niet in de toekomst ligt.</xsl:when>
			<xsl:when test="$pRule='TR378'">Vullen met een bestaande gemeentecode uit het overzicht van CBS.</xsl:when>
			<xsl:when test="$pRule='TR391'">Als StatusAanlevering de waarde &apos;1’ (eerste aanlevering) of waarde &apos;2’ (gewijzigde aanlevering) heeft, moet BwStartdatum kleiner dan of gelijk zijn aan de dagtekening van het bericht</xsl:when>
			<xsl:when test="$pRule='TR392'">Als StatusAanlevering de waarde &apos;1’ (eerste aanlevering) of waarde &apos;2’ (gewijzigde aanlevering) heeft, moet BwStopdatum kleiner dan of gelijk zijn aan de dagtekening van het bericht</xsl:when>
			<xsl:when test="$pRule='TR393'">Als StatusAanlevering waarde &apos;2’ heeft, moet EbStartdatum &gt;= aan de dagtekening van het bericht minus de wettelijke termijn voor herziening, of gelijk zijn aan de EbStartdatum van de actuele aanlevering met gelijk EbStartNummer.</xsl:when>
			<xsl:when test="$pRule='TR394'">Als StatusAanlevering waarde &apos;2’ heeft, moet EbStopdatum &gt;= aan de dagtekening van het bericht minus de wettelijke termijn voor herziening.</xsl:when>
			<xsl:when test="$pRule='TR395'">Als StatusAanlevering waarde &apos;2’ heeft, moet BwStartdatum &gt;= aan de dagtekening van het bericht minus de wettelijke termijn voor herziening, of gelijk zijn aan de BwStartdatum van de actuele aanlevering met gelijk BwStartNummer.</xsl:when>
			<xsl:when test="$pRule='TR396'">Als StatusAanlevering waarde &apos;2’ heeft, moet BwStopdatum &gt;= aan de dagtekening van het bericht minus de wettelijke termijn voor herziening.</xsl:when>
			<xsl:when test="$pRule='TR399'">Als StatusAanlevering waarde &apos;1’  (eerste aanlevering) of StatusAanlevering waarde &apos;2&apos; (gewijzigde aanlevering) heeft mag deze periode niet overlappen met een eerder aangeleverde periode eigen bijdrage</xsl:when>
			<xsl:when test="$pRule='TR400'">Als StatusAanlevering waarde &apos;1’  (eerste aanlevering) of StatusAanlevering waarde 2 (gewijzigde aanlevering) heeft mag deze periode niet overlappen met een eerder aangeleverde periode eigen bijdrage</xsl:when>
			<xsl:when test="$pRule='TR401'">BwStartdatum vullen met een datum die groter dan of gelijk is aan de implementatiedatum iEb 2.0</xsl:when>
			<xsl:when test="$pRule='TR402'">Als StatusAanlevering waarde &apos;3’ heeft dan mag BwStartdatum maximaal de wettelijke termijn voor herziening in het verleden liggen.</xsl:when>
			<xsl:when test="$pRule='TR403'">Als StatusAanlevering waarde &apos;3’ heeft dan mag EbStartdatum maximaal de wettelijke termijn voor herziening in het verleden liggen.</xsl:when>
			<xsl:when test="$pRule='TR404'">Als de aanlevering StatusAanlevering waarde &apos;1’ (eerste aanlevering) heeft mag er geen andere aanlevering met gelijk EbStartNummer zijn voor de afzender</xsl:when>
			<xsl:when test="$pRule='TR405'">Als de aanlevering StatusAanlevering waarde &apos;1’ (eerste aanlevering) heeft mag er geen andere aanlevering met gelijk BwStartNummer zijn voor de afzender</xsl:when>
			<xsl:when test="$pRule='TR406'">Als StatusAanlevering de waarde &apos;1&apos; (eerste aanlevering) heeft, moet BwStartdatum groter dan of gelijk zijn aan de dagtekening van het bericht minus de wettelijke termijn voor oplegging eigen bijdrage.</xsl:when>
			<xsl:when test="$pRule='TR407'">Als StatusAanlevering de waarde &apos;1’ (eerste aanlevering) of waarde &apos;2’ (gewijzigde aanlevering) heeft, moet EbStartdatum kleiner dan of gelijk zijn aan de dagtekening van het bericht + 1 maand</xsl:when>
			<xsl:when test="$pRule='TR408'">Als StatusAanlevering de waarde &apos;1’ (eerste aanlevering) of waarde &apos;2’ (gewijzigde aanlevering) heeft, moet EbStopdatum kleiner dan of gelijk zijn aan de dagtekening van het bericht + 1 maand</xsl:when>
			<xsl:when test="$pRule='TR409'">KostprijsBedrag vullen met een bedrag groter dan of gelijk aan het nationaal tarief geldend op KostprijsStartdatum.</xsl:when>
			<xsl:when test="$pRule='TR419'">BwStartNummer moet overeenkomen met BwStartNummer van Eigenbijdragebericht beschermd wonen van de ontvangende gemeente.</xsl:when>
			<xsl:when test="$pRule='TR420'">EbStartNummer moet overeenkomen met EbStartNummer van Eigenbijdragebericht abonnementstarief van de ontvangende gemeente.</xsl:when>
			<xsl:when test="$pRule='TR421'">Bij inhoudelijke terugkoppeling komt tenminste 1 berichtklasse BeschermdWonen of Abonnementstarief voor.</xsl:when>
			<xsl:when test="$pRule='TR422'">Indien RedenTerugkoppeling gevuld met waarde &apos;01&apos; (Stopdatum geplaatst i.v.m. aanmelding andere gemeente), dan AttribuutNaam vullen met waarde &apos;01&apos; (Stopdatum).</xsl:when>
			<xsl:when test="$pRule='TR423'">Indien RedenTerugkoppeling gevuld met waarde &apos;04&apos; (Oplegging voor andere Eb-stroom is voorliggend), dan AttribuutNaam vullen met waarde &apos;02&apos; (Voorliggende Eb-stroom).</xsl:when>
			<xsl:when test="$pRule='TR424'">Indien RedenTerugkoppeling gevuld met waarde &apos;02&apos; (Startdatum ligt na overlijdensdatum) of &apos;03&apos; (Stopdatum ligt op of na overlijdensdatum), dan berichtklasse Attribuut weglaten.</xsl:when>
			<xsl:when test="$pRule='TR425'">Als StatusAanlevering waarde &apos;2&apos; en de gewijzigde EbStartdatum ligt meer dan de maximale wettelijke termijn voor oplegging eigen bijdrage in het verleden, dan moet EbStartdatum &gt; EbStartdatum van de actuele aanlevering met gelijk EbStartNummer zijn.</xsl:when>
			<xsl:when test="$pRule='TR426'">Als StatusAanlevering waarde ‘2’ heeft en de actuele EbStopdatum ligt meer dan de maximale wettelijke termijn voor oplegging eigen bijdrage in het verleden, dan moet EbStopdatum &lt;  EbStopdatum van de actuele aanlevering met gelijk EbStartNummer zijn.</xsl:when>
			<xsl:when test="$pRule='TR427'">Als StatusAanlevering waarde &apos;2&apos; en de gewijzigde BwStartdatum ligt meer dan de maximale wettelijke termijn voor oplegging eigen bijdrage in het verleden, dan moet BwStartdatum &gt; BwStartdatum van de actuele aanlevering met gelijk BwStartNummer zijn.</xsl:when>
			<xsl:when test="$pRule='TR428'">Als StatusAanlevering waarde ‘2’ heeft en de actuele BwStopdatum ligt meer dan de maximale wettelijke termijn voor oplegging eigen bijdrage in het verleden, dan moet BwStopdatum &lt;  BwStopdatum van de actuele aanlevering met gelijk BwStartNummer zijn.</xsl:when>
			<xsl:when test="$pRule='TR429'">Als StatusAanlevering waarde ‘2’ heeft mag EbStopDatum alleen leeg zijn, indien EbStopDatum van de actuele aanlevering met gelijk EbStartNummer leeg is of maximaal de wettelijke termijn voor oplegging eigen bijdrage in het verleden ligt.</xsl:when>
			<xsl:when test="$pRule='TR430'">Als StatusAanlevering waarde ‘2’ heeft mag BwStopdatum alleen leeg zijn, indien BwStopdatum van de actuele aanlevering met gelijk BwStartNummer leeg is of maximaal de wettelijke termijn voor oplegging eigen bijdrage in het verleden ligt.</xsl:when>
			<xsl:when test="$pRule='TR431'">Indien AttribuutNaam gevuld met waarde &apos;01&apos; (Stopdatum), dan AttribuutWaarde vullen met een datum (dd-mm-jjjj).</xsl:when>
			<xsl:when test="$pRule='TR432'">Indien AttribuutNaam gevuld met waarde &apos;02&apos; (Voorliggende Eb-stroom), dan AttribuutWaarde vullen met Eb-stroom (&apos;Wlz&apos; of &apos;Bw&apos;)</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
