<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:wmo405="http://www.istandaarden.nl/ieb/4_0/wmo405/schema"
	xmlns:wmo407="http://www.istandaarden.nl/ieb/4_0/wmo407/schema"
	xmlns:wmo409="http://www.istandaarden.nl/ieb/4_0/wmo409/schema"
>
	<!-- iEb 4.0 TR101 version 2.12.1 (2024-04-22) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR101simple"/>
	<xsl:template match="*" mode="TR101generic"/>
	<xsl:template match="*" mode="TR101">
		<xsl:apply-templates select="*" mode="TR101simple"/>
		<xsl:apply-templates select="*" mode="TR101generic"/>
	</xsl:template>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR101"/>
	</xsl:template>

	<!-- WMO405 -->
	<xsl:template match="wmo405:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo405:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo405:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo405:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo405:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="wmo405:PeriodeEigenBijdrageAbo" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'EbStartNummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo405:PeriodeEigenBijdrageAbo[*[local-name() = 'EbStartNummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo405:PeriodeEigenBijdrageAbo[*[local-name() = 'EbStartNummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo405:PeriodeEigenBijdrageAbo[(not(*[local-name() = 'EbStartNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo405:PeriodeEigenBijdrageAbo[(not(*[local-name() = 'EbStartNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- WMO407 -->
	<xsl:template match="wmo407:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo407:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo407:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo407:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo407:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="wmo407:PeriodeEigenBijdrageBw" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'BwStartNummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo407:PeriodeEigenBijdrageBw[*[local-name() = 'BwStartNummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo407:PeriodeEigenBijdrageBw[*[local-name() = 'BwStartNummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo407:PeriodeEigenBijdrageBw[(not(*[local-name() = 'BwStartNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo407:PeriodeEigenBijdrageBw[(not(*[local-name() = 'BwStartNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- WMO409 -->
	<xsl:template match="wmo409:Abonnementstarief" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'EbStartNummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo409:Abonnementstarief[*[local-name() = 'EbStartNummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo409:Abonnementstarief[*[local-name() = 'EbStartNummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo409:Abonnementstarief[(not(*[local-name() = 'EbStartNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo409:Abonnementstarief[(not(*[local-name() = 'EbStartNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="wmo409:Attribuut" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'AttribuutNaam']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo409:Attribuut[*[local-name() = 'AttribuutNaam']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo409:Attribuut[*[local-name() = 'AttribuutNaam']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo409:Attribuut[(not(*[local-name() = 'AttribuutNaam']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo409:Attribuut[(not(*[local-name() = 'AttribuutNaam']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="wmo409:BeschermdWonen" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'BwStartNummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo409:BeschermdWonen[*[local-name() = 'BwStartNummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo409:BeschermdWonen[*[local-name() = 'BwStartNummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::wmo409:BeschermdWonen[(not(*[local-name() = 'BwStartNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::wmo409:BeschermdWonen[(not(*[local-name() = 'BwStartNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
