<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:wmo407="http://www.istandaarden.nl/ieb/4_0/wmo407/schema"
>
	<!-- iEb 4.0 TR391 version 2.12.1 (2024-04-22) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR391"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR391"/>
	</xsl:template>

	<xsl:template match="wmo407:PeriodeEigenBijdrageBw/wmo407:BwStartdatum" mode="TR391">
		<xsl:if test="../wmo407:StatusAanlevering/text()='1' or ../wmo407:StatusAanlevering/text()='2'">
			<xsl:call-template name="checkDateRelation">
				<xsl:with-param name="pDate"
								select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
				<xsl:with-param name="pRelation">monthsBefore</xsl:with-param>
				<xsl:with-param name="pExtra">0</xsl:with-param>
				<xsl:with-param name="pRule">TR391</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>