<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:wmo405="http://www.istandaarden.nl/ieb/4_0/wmo405/schema"
>
	<!-- iEb 4.0 TR407 version 2.12.1 (2024-04-22) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR407"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR407"/>
	</xsl:template>

	<xsl:template match="wmo405:PeriodeEigenBijdrageAbo/wmo405:EbStartdatum" mode="TR407">
		<xsl:if test="../wmo405:StatusAanlevering/text()='1' or ../wmo405:StatusAanlevering/text()='2'">
			<xsl:call-template name="checkDateRelation">
				<xsl:with-param name="pDate"
								select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
				<xsl:with-param name="pRelation">monthsBefore</xsl:with-param>
				<xsl:with-param name="pExtra">1</xsl:with-param>
				<xsl:with-param name="pRule">TR407</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
