<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:wmo409="http://www.istandaarden.nl/ieb/4_0/wmo409/schema"
>

	<!-- iEb 4.0 TR431 version 2.12.1 (2024-04-22) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR431"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR431"/>
	</xsl:template>

	<xsl:template match="wmo409:Attribuut" mode="TR431">
		<xsl:if test="./wmo409:AttribuutNaam/text()='01'">
			<xsl:variable name="matchDatePattern">
				<xsl:call-template name="testpattern">
					<xsl:with-param name="pElement" select="./wmo409:AttribuutWaarde"/>
					<xsl:with-param name="pPattern" select="'00\-00\-0000'"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:if test="$matchDatePattern = 'false'">
				<xsl:call-template name="addError">
					<xsl:with-param name="pElements" select="./wmo409:AttribuutNaam | ./wmo409:AttribuutWaarde"/>
					<xsl:with-param name="pRule">TR431</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
